AgentConnect
Organizations

Update the organization

Update organization identity or the default visibility policy for newly created agents (owner only). A slug collision returns 409.

PATCH
/v1/orgs/{orgId}/

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/orgs/string/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "slug": "string",  "icon": {    "kind": "runtime"  },  "defaultAgentVisibility": "all",  "onboardingCompleted": true,  "gettingStartedStep": -9007199254740991,  "iconUrl": "string",  "iconUploadEnabled": true,  "role": "owner",  "memberCount": -9007199254740991,  "daemonCount": -9007199254740991,  "createdAt": "string"}